Fetch information of an existing Hub

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.bump.sh/doc/workspace/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"Bump.sh Workspace MCP server": {
  "url": "https://developers.bump.sh/doc/workspace/mcp"
}
Close
GET /hubs/{hub_id_or_slug}

Fetch information of an existing Hub including the list of APIs it contains. The response follows the APIs.json specification.

Path parameters

  • hub_id_or_slug string Required

    UUID or slug of a Hub which can be Automatic Deployment settings page of your hub

Responses

  • 200 application/json

    Hub successfully retrieved

    Hide response attributes Show response attributes object
    • id string

      UUID of this Hub

    • name string

      The name of the Hub

    • description string

      The description of the Hub

    • url string

      The public URL of the hub

    • created string(date)

      Creation date of this Hub

    • modified string(date)

      Last udpate date of this Hub

    • specificationVersion string

      version of the APIs.json specification specification in use.

    • apis array[object]

      The list of APIs belonging to this Hub

      Hide apis attributes Show apis attributes object
      • id string

        UUID of this API

      • name string

        Name of this API

      • description string

        Description of this API from the latest definition

      • slug string

        Slug of this API

      • url string Deprecated
      • humanUrl string

        public documentation URL

      • tags array[string]

        a list of descriptive strings which identify the API within a Hub

      • version string

        Version of this API taken from the latest definition

      • properties array[object]

        Extra properties attached to this API

        Hide properties attributes Show properties attributes object
        • type string

          Type of the extra property

          Values are OpenAPI, AsyncAPI, x-access-level, or x-definition-type.

        • data string

          Content of the extra property (data or url)

        • url string

          Content of the extra property (data or url)

      • created date

        Creation date of this API

      • modified date

        Last udpate date of this API

  • 400 application/json

    Bad request

    Hide response attribute Show response attribute object
    • message string

      Human readable error message for status 400.

  • 404

    Hub not found

GET /hubs/{hub_id_or_slug}
curl \
 --request GET 'https://bump.sh/api/v1/hubs/{hub_id_or_slug}' \
 --header "Authorization: Token $ACCESS_TOKEN"
Response examples (200)
{
  "id": "3ef8f52f-9056-4113-840e-2f7183b90e06",
  "name": "My train company hub",
  "description": "# Welcome to my train company\n\nThis hub contains all APIs belonging to [my train company](https://demo.bump.sh/).\nFeel free to visit the documentation or changes of our APIs lifecycle.\n",
  "url": "https://demo.bump.sh/",
  "created": "2022-01-07",
  "modified": "2022-04-07",
  "specificationVersion": "0.16",
  "apis": [
    {
      "id": "3ef8f52f-9056-4113-840e-2f7183b90e06",
      "name": "Bump.sh",
      "description": "This is the official Bump.sh API documentation. Obviously created with Bump.sh",
      "slug": "bump",
      "url": "string",
      "humanUrl": "https://developers.bump.sh/doc/workspace/",
      "tags": [
        "string"
      ],
      "version": "1.0",
      "properties": [
        {
          "type": "OpenAPI",
          "url": "https://developers.bump.sh/doc/workspace/source.json"
        }
      ],
      "created": "2022-01-07",
      "modified": "2022-04-07"
    }
  ]
}
Response examples (400)
{
  "message": "You need to upgrade your subscription plan to perform this request."
}